body {
    margin: 0px;
    padding: 0px;
}

.folder {
    display: flex;
    width: 100%;
    height: 100%;

    background-color: #c9c9c9;
    color: black;
    font-size: 12px;
}

.folder:after {
    content: "";
    display: table;
    clear: both;
}

.column1, .column2 {
    margin: 6px;
    overflow: hidden;
    
    box-shadow: 0px 2px 4px #222222;
    border-radius: 5px;
}

.column1 {
    width: 400px;
    flex-shrink: 0;
}

.column2 {
    width: 100%;
}

.title {
    margin: 4px;
    text-align: center;
    text-shadow: 0px 1px 0px rgba(255, 255, 255, 0.7), 0px -1px 0px rgba(0, 0, 0, 0.7);
}

.title a:link, .title a:visited {
    color: black;
}

.index, .gallery, .raw_viewer {
    height: 100%;
    overflow: auto;
    
    border: 1px solid #9d9e9d;
    border-radius: 3px;
}

.gallery {
    width: 100%;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;

    background-color: #676767;
    color: white;
}

.raw_viewer {
    width: 100%;
    height: 100%;
    /* box-sizing: border-box; */
    display: none;

    background-color: #676767;
    color: white;
}

.version {
    margin: 12px;
}

.version_content, .version_caption, .version_footer, .folder_content, .folder_footer  {
    margin: 4px;
}

.version_content, .folder_content {
    display: inline-block;

    box-shadow: 0px 2px 4px #222222;
}

.folder_content {
    width: 200px;
    height: 200px;
    overflow: hidden;

    border-radius: 7px;
}

.folder_footer {
    max-width: 200px;
}

.version_caption {
    color: #c9c9c9;
}

.version_footer, .folder_footer {
    font-weight: bold;
}

.version_footer a:link, .version_footer a:visited  {
    color: white;
}

.version_info {
    margin: 1px;
    padding: 2px;
    display: inline-block;
    overflow: hidden;
    
    font-size: 10px;
    color: black;
    background-color: #c9c9c9;
    /* border: 1px solid #b8b8b8; */
    border: 1px inset #b8b8b8;
    border-radius: 3px;
    
    vertical-align: middle;
}

.version_info:hover {
    background-color: white;
}

.version_info a:link, .version_info a:visited {
    color: black;
    text-decoration: none;
}

.index_item, .index_selected {
    padding: 4px;
}

.index_key, .index_value {
    font-size: 11px;
}

.index_key {
    text-align: right;
}

.index_short {
    background-color: #cfcfcf;
    margin: 8px;
    padding: 8px;
    border: 1px inset #b8b8b8;
    border-radius: 5px;
}

.index_mini {
    width: 100%;
    border-top: 1px solid #9d9e9d;
    margin: 0 auto;
}

.index_full {
    width: 100%;
}

.index_main {
    padding: 2px;
    color: #505062;
    font-size: 12px;
    text-align: left;
    text-shadow: 0px 1px 0px rgba(255, 255, 255, 0.7), 0px -1px 0px rgba(0, 0, 0, 0.7);
}

.index_value {
    text-align: left;
    background-color: #cfcfcf;
    border: 1px solid #b8b8b8;
    border-radius: 3px;
}

.index_selected {
    background-color: #9b9ea7;
}

.index_item a:link, .index_item a:visited {
    color: black;
    text-decoration: none;
}

.index_selected a:link, .index_selected a:visited {
    color: white;
    font-weight: bold;
    text-decoration: none;
}

.index_item:hover {
    background-color: white;
}

.image {
    max-width: 100%;
    max-height: 100%;
    display: block;
    margin: auto;
    image-orientation: from-image;
}

.folder_poster {
    object-fit: cover;
    width: 100%;
    height: 100%;
}